Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IProgressMonitor

    public interface IProgressMonitor

This interface is to trace the progress of BIRT. As BIRT generates a report, some events are notified of the current status. If a user defined monitor (IProgressMonitor) is set (by IEngineTask.setProgressMonitor()), the monitor is triggered.

Field Summary
`static int` | `END_PAGE` ending of a page
`static int` | `END_QUERY` ending of DB query execution
`static int` | `END_TASK` the BIRT task ends event
`static int` | `FETCH_ROW` reading data from DB
`static int` | `START_PAGE` start to generate a page
`static int` | `START_QUERY` start to execute a DB query
`static int` | `START_TASK` the BIRT task starts event

Method Summary
`void` | `onProgress(int type, int value)` The 'type' specifies this progress event and the 'value' specifies a proper value to the event.

Field Detail

### START_TASK

    static final int START_TASK

  the BIRT task starts event

  See Also:
    Constant Field Values

### END_TASK

    static final int END_TASK

  the BIRT task ends event

  See Also:
    Constant Field Values

### START_PAGE

    static final int START_PAGE

  start to generate a page

  See Also:
    Constant Field Values

### END_PAGE

    static final int END_PAGE

  ending of a page

  See Also:
    Constant Field Values

### START_QUERY

    static final int START_QUERY

  start to execute a DB query

  See Also:
    Constant Field Values

### END_QUERY

    static final int END_QUERY

  ending of DB query execution

  See Also:
    Constant Field Values

### FETCH_ROW

    static final int FETCH_ROW

  reading data from DB

  See Also:
    Constant Field Values

Method Detail

### onProgress

    void onProgress(int type,
                    int value)

  The 'type' specifies this progress event and the 'value' specifies a proper value to the event. It's like:

  event type | event value
  --- | ---
  START_TASK | task type, see `IEngineTask`
  END_TASK | task type, see `IEngineTask`
  START_PAGE | page number
  END_PAGE | page number
  START_QUERY | the ID of the element on which a query is started
  END_QUERY | the ID of the element on which a query is ended
  FETCH_ROW | the row index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.